<!DOCTYPE html>
<html lang="en">

<head>
    <title>
        CRUD
    </title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <!-- <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script> -->
    <!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"></script> -->
</head>

<body>

    <nav class="navbar navbar-dark bg-dark">
        <a class="navbar-brand" href="#">
      CRUD
    </a>
    </nav>
    <!-- event.preventdefault() function helps to  meaning that the default action that belongs to the event will not occur.
    For example, this can be useful when:
    Clicking on a "Submit" button, prevent it from submitting a form
    Clicking on a link, prevent the link from following the URL -->
    <form onsubmit="event.preventDefault();" autocomplete="off" id="form">
        <div class=" container-fluid"><br>
            <!-- <div class="form-row"> -->
            <div class="col-lg-4 mt-3 m-auto d-block">
                <label>Full Name: <span class="star">*</span></label>
                <input type="text" class="form-control" placeholder="First name - Surname" name="fullName" id="fullName">

            </div>
            <div class="col-md-4 mt-3  m-auto d-block">
                <label>Employee Id:</label>
                <input type="text" value="0" class="form-control " placeholder="Emp id" name="empid" id="empid" tabindex=-1 readonly="readonly ">
            </div>
        </div>
        <!-- <div class="form-row"> -->
        <div class="col-md-4 mt-3 m-auto d-block">
            <label>E-mail: <span class="star">*</span></E-mail></label>
            <input type="email" class="form-control" placeholder="abc@xyz.com" name="email" id="email">

        </div>
        <div class="col-md-4 mt-3 m-auto d-block">
            <label>Salary: <span class="star">*</span></label>
            <input type="text" class="form-control" placeholder="Salary" name="salary" id="salary">

        </div>
        </div>
        <!-- <div class="form-row"> -->
        <div class="col-md-4 mt-3 m-auto d-block">
            <label>Joining Date: <span class="star">*</span></label>
            <input type="date" class="form-control" name="jdate" id="jdate">

        </div>
        <div class="col-md-4 m-auto d-block">
            <label class="mt-1">City: <span class="star">*</span></label>
            <select type="text" class="form-control" name="city" id="city">
                    <option value="">Choose...</option>
                    <option value="Ahmedabad">Ahmedabad</option>
                    <option value="Vadodara">Vadodara</option>
                    <option value="Rajkot">Rajkot</option>
                    <option value="Surat">Surat</option>
                    <option value="Jamnagar">Jamnagar</option>
                </select>
        </div>
        </div>
        <div><br>
            <div class="form-row ">
                <button type="submit" class="btn btn-primary mt-3  m-auto " id="submit">Submit</button>

            </div>
        </div>
    </form><br>
    <input type="hidden" id="hfRowIndex" value="" />
    <table class="table table-dark table-hover mt-4 col-md-8  m-auto " id="employeeList">
        <thead>
            <tr>
                <th>Full Name</th>
                <th>Employee Id</th>
                <th>E-mail</th>
                <th>Salary</th>
                <th>Joining Date</th>
                <th>City</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>

        </tbody>

    </table>
    </div>
    <script src="script.js"></script>

</body>

</html>